<div class="container-fluid" style="background-color: rgb(32, 107, 204); height: 100vh">
    <div class="row h-20 justify-content-center align-items-end" style="height: 20vh">
        <div class="col-3 mx-auto">
            <div id="logo"><i>yeziq</i></div>
        </div>
    </div>
    <div class="row h-80 justify-content-center align-items-center" style="height: 65vh;">
        <div class="col-10 col-lg-3 mx-auto bg-light">
            <!-- Dropup meni za izbor izvornog jezika (zastavice) -->
            <div class="row">

                <div class="col-1 offset-10 dropup" style="margin-top: 2vh; cursor: pointer;">
                    <a class="dropdown-toggle" data-toggle="dropdown" id="dropdownMenu">
                        <img [src]="flagLinksMap.get(srcLang)"/>
                    </a>

                    <div class="dropdown-menu" aria-labelledby="dropdownMenu">
                        <div class="dropdown-item srcLangChoice" *ngFor="let lang of srcLanguages; let i = index"
                            (click)="changeSrcLang(lang)">
                            <img style="margin-left: 0.5vh" [src]="flagLinksMap.get(lang)" />
                            <span style="margin-left: 1vh; font-size: 12px">{{ langNames.get(lang).get(lang) }}</span>
                        </div>
                    </div>
                </div>

            </div>
            <div class="row">
                <div class="col-10 offset-1">
                    <!-- Prvo se uvek prikazuje login formular -->
                    <div *ngIf="showLoginForm; else showRegister">
                        <form [formGroup]="loginForm" (ngSubmit)="submitLoginInfo(loginForm.value)"
                            style="margin: 0vh 4vh 4.5vh 4vh" autocomplete="off"> 
                            <div class="form-group">
                                <label for="username">{{ langMap.get(srcLang).get('usernameLabel') }}:</label>
                                <input class="input-sm" type="text" id="username" class="form-control form-control-sm"
                                    formControlName="username" />

                                <span *ngIf="showErrors && usernameLogin.errors?.required" class="error">
                                    {{ langMap.get(srcLang).get('missingField') }}
                                </span>
                            </div>
                            <div class="form-group">
                                <label for="password">{{ langMap.get(srcLang).get('passwordLabel') }}:</label>
                                <input type="password" id="password" class="form-control form-control-sm"
                                    formControlName="password" />
                                
                                <span *ngIf="showErrors && passwordLogin.errors?.required" class="error">
                                    {{ langMap.get(srcLang).get('missingField') }}
                                </span>
                            </div>
                            
                            <!-- Pogresno korisnicko ime / lozinka -->
                            <div class="form-group">
                                <span *ngIf="serverMsg" class="error">{{ serverMsg }}</span>
                            </div>

                            <button type="submit" class="btn btn-warning btn-sm btn-block">
                                {{ langMap.get(srcLang).get('loginButton') }}
                            </button>

                            <a style="float: right; margin-top: 1.5vh;" (click)="toggleForms()">
                                {{ langMap.get(srcLang).get('registerFormToggle') }}
                            </a>
                        </form>
                    </div>

                    <!-- Formular za registraciju -->
                    <ng-template #showRegister>
                        <form [formGroup]="registerForm" (ngSubmit)="submitRegisterInfo(registerForm.value)"
                            style="margin: 0vh 4vh 4.5vh 4vh" autocomplete="off">
                            <div class="form-group">
                                <label for="username">{{ langMap.get(srcLang).get('usernameLabel') }}:</label>
                                <input type="text" id="username" class="form-control form-control-sm"
                                    formControlName="username" />

                                <span *ngIf="showErrors && username.errors?.required" class="error">
                                    {{ langMap.get(srcLang).get('missingField') }}
                                </span>
                                <span *ngIf="showErrors && (username.errors?.minlength || username.errors?.maxlength)" class="error">
                                    {{ langMap.get(srcLang).get('usernameLength') }}
                                </span>
                            </div>
                            <div class="form-group">
                                <label for="password">{{ langMap.get(srcLang).get('passwordLabel') }}:</label>
                                <input type="password" id="password" class="form-control form-control-sm"
                                    formControlName="password" />

                                <span *ngIf="showErrors && password.errors?.required" class="error">
                                    {{ langMap.get(srcLang).get('missingField') }}
                                </span>
                                <span *ngIf="showErrors && (password.errors?.minlength || password.errors?.maxlength)" class="error">
                                    {{ langMap.get(srcLang).get('passwordLength') }}
                                </span>
                            </div>
                            <div class="form-group">
                                <label
                                    for="confirmPassword">{{ langMap.get(srcLang).get('confirmPasswordLabel') }}:</label>
                                <input type="password" id="confirmPassword" class="form-control form-control-sm"
                                    formControlName="confirmPassword" />

                                <span *ngIf="showErrors && confirmPassword.errors?.unconfirmedPassword" class="error">
                                    {{ langMap.get(srcLang).get('unconfirmedPassword') }}
                                </span>
                            </div>
                            <div class="form-group">
                                <label for="email">{{ langMap.get(srcLang).get('emailLabel') }}:</label>
                                <input type="email" id="email" class="form-control form-control-sm"
                                    formControlName="email" />

                                 <span *ngIf="showErrors && email.errors?.required" class="error">
                                    {{ langMap.get(srcLang).get('missingField') }}
                                </span>
                                <span *ngIf="showErrors && email.errors?.email" class="error">
                                    {{ langMap.get(srcLang).get('invalidEmail') }}
                                </span>
                            </div>
                            <!-- Ciljni jezici, nije moguce izabrati (trenutni) izvorni -->
                            <div class="form-group">
                                <label for="targetLang">{{ langMap.get(srcLang).get('targetLangLabel') }}:</label>
                                <select id="targetLang" class="form-control form-control-sm"
                                    formControlName="targetLang">
                                    <ng-container *ngFor="let lang of targetLanguages; let i = index">
                                        <ng-container *ngIf="lang !== srcLang">
                                            <option [value]="lang">{{ langNames.get(srcLang).get(lang) }}</option>
                                        </ng-container>
                                    </ng-container>
                                </select>
                            </div>

                            <!-- Ako korisnik vec postoji -->
                            <div class="form-group">
                                <span *ngIf="serverMsg" class="error">{{ serverMsg }}</span>
                            </div>

                            <button type="submit" class="btn btn-info btn-sm btn-block">
                                {{ langMap.get(srcLang).get('registerButton') }}
                            </button>

                            <a style="float: left; margin-top: 1.5vh;" (click)="toggleForms()">
                                {{ langMap.get(srcLang).get('loginFormToggle') }}
                            </a>
                        </form>
                    </ng-template>
                </div>
            </div>
        </div>
    </div>
</div>